// creator  : weidu.exe (version 23100)
// argument : AMNG1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~AMNG1~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~RandomNum(4,1)
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 0 // from:
  SAY #16086 /* ~Move along, citizen, nothing to see here.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,2)
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 1 // from:
  SAY #16087 /* ~This incident is being handled.  None of your concern.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 2 // from:
  SAY #16088 /* ~The Council is looking into matters.  Proceed on your way.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 3 // from:
  SAY #16089 /* ~This area is cordoned off for your safety, citizen.  Move along.~ */
  IF ~~ THEN EXIT
END

IF ~InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 4 // from:
  SAY #45484 /* ~I don't want any trouble from you, here.  I saw you enter with those folk... just a good thing for you that only that girl used magic, otherwise you'd all be in prison.~ */
  IF ~GlobalGT("chapter","GLOBAL",3)~ THEN EXIT
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45490 /* ~What do you know about the Shadow Thieves here in the city?~ */ GOTO 5
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45489 /* ~I need to find that girl you mention... do you know where the Cowled Wizards would have taken her?~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 7.1 4.1
  SAY #45491 /* ~They're nothing for you to worry about, citizen.  I wouldn't suggest you involving yourself with their type.~ */
  IF ~GlobalGT("chapter","GLOBAL",3)~ THEN EXIT
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45492 /* ~I need to find that girl you mention... do you know where the Cowled Wizards would have taken her?~ */ GOTO 6
  IF ~~ THEN REPLY #47104 /* ~Well, I'll be on my way, then.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.1 4.2
  SAY #45493 /* ~She wouldn't have been brought to the city's prison.  We don't have the facilities to keep such powerful deviants.  The Cowled Wizards, on the other hand, do.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #45494 /* ~Where they would keep magic-using prisoners, I don't know.  No one does.  And I doubt they would tell you... the use of magic is illegal, and that means she's a criminal.~ */
  IF ~GlobalGT("chapter","GLOBAL",3)~ THEN EXIT
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45495 /* ~What do you know about the Shadow Thieves here in the city?~ */ GOTO 5
  IF ~~ THEN REPLY #47105 /* ~Well, I'll be on my way, then.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.2 5.2
  SAY #47106 /* ~As you wish.  Stay out of trouble, you, or you'll be facing the consequences.~ */
  IF ~~ THEN EXIT
END
